# https://code.launchpad.net/~qr-tools-developers/qr-tools/trunk
# bzr snapshot from trunk/revision/45

# comment out when not a bzr snapshot
%define bzr	46

%define rel	5

Name:           qtqr
Version:        2.1
Release:        %mkrel %{?bzr:0.bzr%bzr.}%{rel}
Summary:        GUI that makes it easy to create and decode QR Codes
License:        GPLv3
Group:          Graphics/Utilities
URL:            https://launchpad.net/qr-tools
#Source0:        https://launchpad.net/qr-tools/trunk/%%{version}/+download/qr-tools-%%{version}.tar.gz
# Memo: tar Jcvf qr-tools-%%{version}-bzr%%{bzr}.tar.xz qr-tools-%%{version}/
Source0:	qr-tools-%{version}-bzr%{bzr}.tar.xz
Source1:        %{name}.desktop
Source2:        qtqr.1

BuildArch:      noarch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  python3-qt5-devel
BuildRequires:  imagemagick

Requires:       python3-qrtools
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets

%description
QtQR is Qt based software that lets you generate QR Codes easily,
scan an image file for QR Codes and decode them or use your webcam to
scan a printed one.

%package -n     python3-qrtools
Group:          Development/Python
Summary:        Backend module for QtQR
Requires:       python3-pillow
Requires:       python3-zbar
Requires:       qrencode

Obsoletes:      python-qrtools < 1.2-5
Provides:       python-qrtools = %{version}-%{release}

%description -n python3-qrtools
Python3-qrtools is a backend ("library") for creating and decoding QR
Codes in python3. Depends on qrenconde and zbar.

%prep
%setup -q -n qr-tools-%{version}
%autopatch -p1

%build

%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_qt5_translationdir}\
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{python3_sitelib} \
         %{buildroot}%{_mandir}/man1

install -D -m 755 %{name}.py %{buildroot}%{_bindir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

for res in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96; do \
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${res}/apps
  convert icon.png -resize ${res} %{buildroot}%{_iconsdir}/hicolor/${res}/apps/%{name}.png
done;

install -D -m 644 %{name}*.qm %{buildroot}%{_qt5_translationdir}
install -D -m 644 qrtools.py %{buildroot}%{python3_sitelib}/

install -D -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1

%files
%doc samples/
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%lang(de) %{_qt5_translationdir}/%{name}_de_DE.qm
%lang(en) %{_qt5_translationdir}/%{name}_en_GB.qm
%lang(es) %{_qt5_translationdir}/%{name}_es.qm
%lang(es) %{_qt5_translationdir}/%{name}_es_AR.qm
%lang(fr) %{_qt5_translationdir}/%{name}_fr.qm
%lang(is) %{_qt5_translationdir}/%{name}_is_IS.qm
%lang(it) %{_qt5_translationdir}/%{name}_it_IT.qm
%lang(ja) %{_qt5_translationdir}/%{name}_ja.qm
%lang(ru) %{_qt5_translationdir}/%{name}_ru.qm
%{_mandir}/man1/%{name}.1*

%files -n python3-qrtools
%{python3_sitelib}/qrtools.*
%{python3_sitelib}/__pycache__/qrtools.*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1-0.bzr46.5.mga10
+ Revision: 2242867
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 2.1-0.bzr46.4.mga10
+ Revision: 2160433
- rebuild for python3.13

* Thu Dec 21 2023 daviddavid <daviddavid> 2.1-0.bzr46.3.mga10
+ Revision: 2020608
- rebuild for py3.12

* Wed Apr 06 2022 umeabot <umeabot> 2.1-0.bzr46.2.mga9
+ Revision: 1845932
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 danf <danf> 2.1-0.bzr46.1.mga9
+ Revision: 1775114
- Update to bzr46 snapshot. Change to https links in man page.

* Sat Mar 20 2021 daviddavid <daviddavid> 2.1-0.bzr45.2.mga9
+ Revision: 1705389
- rebuild for python 3.9

* Wed Feb 03 2021 daviddavid <daviddavid> 2.1-0.bzr45.1.mga8
+ Revision: 1674726
- new version: 2.1-bzr45

* Thu Dec 17 2020 umeabot <umeabot> 2.0-1.bzr39.2.mga8
+ Revision: 1659638
- Rebuild for new Qt5

* Thu Apr 09 2020 daviddavid <daviddavid> 2.0-1.bzr39.1.mga8
+ Revision: 1565678
- new snapshot release: 2.0-bzr39

* Sun Feb 16 2020 umeabot <umeabot> 2.0-0.bzr20190914.3.mga8
+ Revision: 1533975
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 2.0-0.bzr20190914.2.mga8
+ Revision: 1446217
- rebuild for python3.8

* Mon Sep 16 2019 daviddavid <daviddavid> 2.0-0.bzr20190914.1.mga8
+ Revision: 1442266
- new snapshot release: 2.0-bzr20190914 (mga#3150)
- port to PyQt5 and Python 3
+ danf <danf>
- Fixed run-time error when dropping an image onto the app.

* Wed Sep 19 2018 umeabot <umeabot> 1.2-3.mga7
+ Revision: 1274863
- Mageia 7 Mass Rebuild

* Tue Feb 16 2016 danf <danf> 1.2-2.mga6
+ Revision: 961842
- Moved dependencies to the correct subpackages

* Wed Jan 06 2016 danf <danf> 1.2-1.mga6
+ Revision: 919927
- imported package qtqr (based on Fedora by Muhammad Shaban)

